Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface Encoder

    org.codehaus.groovy.grails.support.encoding.Encoder
      org.codehaus.groovy.grails.support.encoding.CodecIdentifierProvider

All Superinterfaces:
  CodecIdentifierProvider

    public interface Encoder
    extends CodecIdentifierProvider

Interface for encoding methods.

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`java.lang.Object` | `encode(java.lang.Object o)` Encode given input object
`boolean` | `isApplyToSafelyEncoded()` @return `true` if this this codec should be applied to a buffer part that is already encoded with a safe encoder
`boolean` | `isSafe()` Checks if this encoder is XSS "safe".
`void` | `markEncoded(java.lang.CharSequence string)` Mark this instance as encoded with this encoder in the current EncodingStateRegistry

Methods inherited from interface CodecIdentifierProvider
getCodecIdentifier

Method Detail

### encode

    public java.lang.Object encode(java.lang.Object o)

  Encode given input object
  Parameters:
    `o` - the input object
  Returns:
    the encoded object

### isApplyToSafelyEncoded

    public boolean isApplyToSafelyEncoded()

  Returns:
    `true` if this this codec should be applied to a buffer part that is already encoded with a safe encoder

### isSafe

    public boolean isSafe()

  Checks if this encoder is XSS "safe". This means that after appling this encoder, the characters have been escaped and are XSS safe to be included in HTML documents.
  Returns:
    true, if is safe

### markEncoded

    public void markEncoded(java.lang.CharSequence string)

  Mark this instance as encoded with this encoder in the current EncodingStateRegistry
  Parameters:
    `string` - a CharSequence to mark as encoded

Groovy Documentation